package org.openxma.dsl.platform.dao;

/**
 * Specification of a filter expression capable to apply itself against context objects.
 */
public interface FilterExpression {
    /**
     * 
     * @param filterable
     *            apply the filter specification on the given
     *            <code>Filterable</code>
     * @return the value of this specification
     */
    Object applyTo(Filterable filterable);

}
